# vim: set ts=4 sw=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de



Name:           cpvts
Summary:        Raw copy title sets from a DVD to your harddisc
Version:        1.2
Release:        1699.3.pm.11
License: GPL-2.0
URL:            http://www.lallafa.de/bp/cpvts.html
Source0:        http://www.lallafa.de/bp/files/cpvts-%version.tgz
Source1:        %name.html
Patch0:         %name-cpvts.c.diff
BuildRequires:  libdvdread-devel

%description
This tool can copy a single or all title sets from a DVD to a directory. It is
important to note that complete title sets and not only VOB parts of a title 
are copied. You have the exact image or clone of the source title set with this
tool. It does no fancy IFO parsing, only raw DVD block are read.

Why? If you want to use libdvdread or derived applications (e.g. transcode) in
the DVD image mode (i.e. you have a directory on your hard disk with a DVD 
structure on it) then you must have a copy of the full title set for your 
desired title. If you only extract the VOB information belonging to a title
plus the *.IFO files then the references in the *.IFO files are not correct, 
because they assume the full title set is still available.

It is a companion tool for cpdvd that offers more user-friendly copy options 
(e.g. you can pass the title number and not the title set number).

%prep
%autosetup -p0 -n %name

%build
cp %{SOURCE1} .
cc %optflags \
    -Wl,--no-as-needed \
    -I%_includedir \
    -L%_libdir -ldvdread \
    -Wl,-rpath,%_libdir \
    -o cpvts cpvts.c \
    -lm

%install
install -dm 755 %buildroot%_bindir
install -s -m 755 %name %buildroot%_bindir

%files
%doc %name.html
%_bindir/cpvts

%changelog
* Sat Dec 22 2007 toni@links2linux.de
- rebuild with new libdvdread-devel
* Tue Sep 19 2006 toni@links2linux.de
- build for packman
  Fri May 26 00:00:00 UTC 2006 - oc2pus 1.2-0.oc2pus.5
- build for SuSE-10.1
  Sat Nov 19 00:00:00 UTC 2005 - oc2pus 1.2-0.oc2pus.4
- build for SuSE-10.0
  Fri Dec 24 00:00:00 UTC 2004 - oc2pus 1.2-0.oc2pus.3
- build for SuSE-9.2
  Wed Oct 20 00:00:00 UTC 2004 - oc2pus 1.2-0.oc2pus.2
- included HTML page as doc
  Thu Sep 30 00:00:00 UTC 2004 - oc2pus 1.2-0.oc2pus.1
- initial release of rpm
